<a
  x-data="{ 
    config: App.Config,
    context: App.Workflow,
  }"
  class="center relative inline-block select-none whitespace-nowrap rounded-lg py-2 px-3.5 align-baseline font-sans text-xs leading-none no-underline hover:underline"
  :class="{
    'text-white bg-blue-600': pipeline?.status == 'created',
    'text-white bg-blue-600': pipeline?.status == 'running',
    'text-white bg-gray-600': pipeline?.status == 'canceled',
    'text-white bg-green-600': pipeline?.status == 'success',
    'text-white bg-red-600': pipeline?.status == 'failed',
  }"
  x-bind:href="!pipeline ? '' : config.api + pipeline.detailed_status.details_path"
  target="_blank"
>
  <i class="hidden bg-gray-600 bg-blue-600 bg-green-600 bg-red-600"></i>
  <div class="absolute top-1 left-1 h-5 w-5 -translate-y-6">
    <img
      x-bind:alt="pipeline?.detailed_status.tooltip"
      x-bind:src="!pipeline ? '' : config.api + pipeline.detailed_status.favicon"
      class="relative inline-block h-5 w-5 translate-x-px translate-y-px rounded-full object-cover object-center"
    />
  </div>

  <div class="pl-5 mr-5 mt-px font-bold" x-text="pipeline?.detailed_status.text">
    Checking...
  </div>

  <div
    x-show="!pipeline?.finished_at"
    class="absolute top-1 right-1 mx-px mt-[0.5px] w-max rounded-lg bg-gray-500 hover:bg-red-500 transition-colors opacity-25 hover:opacity-75"
    @click.prevent="pipeline = pipeline ? await context.Pipelines.cancel(pipeline.id) : null"
  >
    <div role="button" class="h-5 w-5 p-1">
      <svg
        xmlns="http://www.w3.org/2000/svg"
        fill="none"
        viewBox="0 0 24 24"
        stroke="currentColor"
        stroke-width="3"
      >
        <path
          stroke-linecap="round"
          stroke-linejoin="round"
          d="M6 18L18 6M6 6l12 12"
        ></path>
      </svg>
    </div>
  </div>
</a>
